
Katello - Bug #4747

(nightlies 3-20-14)  hammer not showing all environments

03/20/2014 02:41 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite ~]# rpm -qa | grep hammer | sort

rubygem-hammer_cli-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403192207git7c31c50.git.0.0dcaad2.el6.noarch

 
[root@satellite ~]# hammer environment list

---------------------------------------------

ID | NAME                                    

---------------------------------------------

1  | KT_ACME_Corporation_Library_Default_O...

4  | production                              

---------------------------------------------

History

#1 - 03/20/2014 02:49 PM - Erik Jacobs

This may be related to not having the katello plugin enabled via "  - hammer_cli_katello", however there is also a bug 

http://projects.theforeman.org/issues/4696 so this may potentially be erroneous.

#2 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:50 PM - Mike McCune

- Status changed from New to Closed

- Triaged set to No

This is because you need to use 'lifecycle-environment' CLI command.

FYI:

Environment = Puppet Environment (specific to Foreman)

Lifecyle Environment = Katello's Deployment (Lifecycle) environment

confusing for sure.

#5 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/21/2014 02:31 PM - Eric Helms
http://projects.theforeman.org/issues/4696


- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-20 10_40_19.png 249 KB 03/20/2014 Erik Jacobs

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

